Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic
Class Assert

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.taskdefs.condition.ConditionBase
              net.sf.antcontrib.logic.condition.BooleanConditionBase
                  net.sf.antcontrib.logic.Assert

All Implemented Interfaces:
  org.apache.tools.ant.TaskContainer

    public class Assert

extends BooleanConditionBase
implements org.apache.tools.ant.TaskContainer

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Assert()`

Method Summary
`void` | `addTask(org.apache.tools.ant.Task task)`
`BooleanConditionBase` | `createBool()`
`void` | `execute()`
`void` | `setFailOnError(boolean failOnError)`
`void` | `setMessage(java.lang.String message)`

Methods inherited from class net.sf.antcontrib.logic.condition.BooleanConditionBase
`addIsGreaterThan, addIsLessThan, addIsPropertyFalse, addIsPropertyTrue`

Methods inherited from class org.apache.tools.ant.taskdefs.condition.ConditionBase
`add, addAnd, addAvailable, addChecksum, addContains, addEquals, addFilesMatch, addHttp, addIsFalse, addIsReference, addIsSet, addIsTrue, addNot, addOr, addOs, addSocket, addUptodate, countConditions, getConditions`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Assert

    public Assert()

Method Detail

### setFailOnError

    public void setFailOnError(boolean failOnError)

### setMessage

    public void setMessage(java.lang.String message)

### addTask

    public void addTask(org.apache.tools.ant.Task task)

  Specified by:
    `addTask` in interface `org.apache.tools.ant.TaskContainer`

### createBool

    public BooleanConditionBase createBool()

### execute

    public void execute()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD